## org.apache.mahout.cf.taste.impl.common
Interface Retriever<K,V>

All Known Implementing Classes:
  Cache

    public interface Retriever<K,V>

Implementations can retrieve a value for a given key.

Method Summary
`V` `get(K key)`

Method Detail

### get

    V get(K key)
          throws TasteException

  Parameters:
    `key` - key for which a value should be retrieved
  Returns:
    value for key
  Throws:
    `TasteException` - if an error occurs while retrieving the value

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.